<?php
/*
Plugin Name: Add Code To Footer or Header
Plugin URI: https://gokhancelebi.net
Description: Modify footer and header code.
Author: Gokhan Celebi
Version: 1.0
Author URI: https://gokhancelebi.net
*/


function gc_edit_footer_plugin_page(){
    if (isset($_POST["header-codes"])){
        update_option("_gc_header_codes",$_POST["header-codes"]);
    }
    if (isset($_POST["footer-codes"])){
        update_option("_gc_footer_codes",$_POST["footer-codes"]);
    }

    ?>
    <form action="" method="post">
        <div class="wrap">
            <h2>Header Codes</h2>
            <textarea name="header-codes" style="width: 100%;min-height: 200px;padding: 20px" placeholder="Header codes here"><?=get_option("_gc_header_codes","")?></textarea>
        </div>
        <div class="wrap">
            <h2>Footer Codes</h2>
            <textarea name="footer-codes" style="width: 100%;min-height: 200px;padding: 20px" placeholder="Footer codes here"><?=get_option("_gc_footer_codes","")?></textarea>
        </div>
        <div class="wrap">
            <button class="button button-primary" type="submit">Save</button>
        </div>
    </form>
    <?php
}


add_action('admin_menu', "gc_edit_footer_plugin_action");


function gc_edit_footer_plugin_action()
{
    add_options_page("Edit Footer And Header", 'Edit Footer and Header', 'administrator', "gc-edit-footer-header", "gc_edit_footer_plugin_page");
}

if (!function_exists("gc_add_code_to_footer"))
{
    add_action('wp_footer', 'gc_add_code_to_footer');
    function gc_add_code_to_footer() {
        echo get_option("_gc_footer_codes","");
    }
}

if (!function_exists("gc_add_header_code"))
{
    add_action('wp_head', 'gc_add_header_code');
    function gc_add_header_code() {
        echo get_option("_gc_header_codes","");
    }
}

